Subject: Re: MESH

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 22 Feb 2000 21:59:20 +0100

On Tue, Feb 22, 2000, Geert Uytterhoeven <[email-masked]> wrote:

>I have troubles compiling in the MESH driver on my CHRP LongTrail. The driver
>doesn't link due to the lack of
>
>    note_scsi_host
>    feature_set
>
>which are clearly Mac-ish functions. What's the purpose of these
functions? Do
>I need them?

feature_set is part of the feature control (abstraction over the various
"features" bits in Apple ASIC). You can disable all the mac-io/feature
stuffs in MESH on non-pmac machines.
We use them after spying macos to what looks like enabling the line drivers.

note_scsi_host is used by the pmac "guess boot device" mecanism, you can
forget it too.

>Furthermore I still find it weird that mesh.c has
>
>    #if !defined(MODULE)
>	note_scsi_host(mesh, mesh_host);
>    #endif
>
>While the note_scsi_host symbol is exported by arch/ppc/kernel/ppc_ksyms.c.

note_scsi_host is an initfunc.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/